Bug 15959 - Use Font Awesome icons for attach item confirmations
Summary: Use Font Awesome icons for attach item confirmations
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/cataloguing/moveitem.pl
Keywords:
Depends on: 15785
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 16:35 UTC by Owen Leonard
Modified: 2017-06-14 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15959 - Use Font Awesome icons for attach item confirmations (3.81 KB, patch)
2016-03-02 16:44 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15959: Use Font Awesome icons for attach item confirmations (3.86 KB, patch)
2016-03-02 20:31 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15959: Use Font Awesome icons for attach item confirmations (3.92 KB, patch)
2016-03-03 10:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-02 16:35:45 UTC
In the catalog, when you use the "Edit -> Attach item" menu option, the confirmation and error dialogs should be styled with Font Awesome icons.
Comment 1 Owen Leonard 2016-03-02 16:44:41 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-03-02 20:31:35 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-03 10:18:59 UTC
Created attachment 48614 [details] [review]
Bug 15959: Use Font Awesome icons for attach item confirmations

When attaching an existing item to a record, the confirmation and error
dialogs should be styled using Font Awesome icons. This patch revises
the buttons and revises the global CSS file.

To test, apply the patch and clear your cache if necessary.

- Locate a record in the catalog to which you can attach an item.
- Select "Attach item" from the "Edit" menu.
- Submit a barcode for an exising item.
- Verify that the confirmation dialog is correctly styled.
  - Test the operation of both the "OK" and the "Attach another item"
    buttons.
- Submit an invalid barcode.
- Verify that the error dialog is correctly styled.
  - Test the operation of both the "OK" and the "Try again"
    buttons.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as described

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-03-03 10:19:39 UTC
It would be interesting to use CSS3 variables (https://www.w3.org/TR/css-variables/) to define the different colors.
Comment 5 Brendan Gallagher 2016-03-03 22:54:57 UTC
Pushed to Master - Should be in the May 2016 release.  thanks!